| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions | Static Public Member Functions
AAX_VPropertyMap Class Reference

`#include <AAX_VPropertyMap.h>`

Inheritance diagram for AAX_VPropertyMap:
[legend]
Collaboration diagram for AAX_VPropertyMap:
[legend]

## Description

Version-managed concrete AAX_IPropertyMap class.

## Public Member Functions
| ~AAX_VPropertyMap (void) AAX_OVERRIDE
AAX_CBoolean | GetProperty (AAX_EProperty inProperty, AAX_CPropertyValue *outValue) const AAX_OVERRIDE
| Get a property value from a property map.
AAX_CBoolean | GetPointerProperty (AAX_EProperty inProperty, const void **outValue) const AAX_OVERRIDE
| Get a property value from a property map with a pointer-sized value.
AAX_Result | AddProperty (AAX_EProperty inProperty, AAX_CPropertyValue inValue) AAX_OVERRIDE
| Add a property to a property map.
AAX_Result | AddPointerProperty (AAX_EProperty inProperty, const void *inValue) AAX_OVERRIDE
| Add a property to a property map with a pointer-sized value.
AAX_Result | AddPointerProperty (AAX_EProperty inProperty, const char *inValue) AAX_OVERRIDE
| Add a property to a property map with a pointer-sized value.
AAX_Result | RemoveProperty (AAX_EProperty inProperty) AAX_OVERRIDE
| Remove a property from a property map.
AAX_Result | AddPropertyWithIDArray (AAX_EProperty inProperty, const AAX_SPlugInIdentifierTriad *inPluginIDs, uint32_t inNumPluginIDs) AAX_OVERRIDE
| Add an array of plug-in IDs to a property map.
AAX_CBoolean | GetPropertyWithIDArray (AAX_EProperty inProperty, const AAX_SPlugInIdentifierTriad **outPluginIDs, uint32_t *outNumPluginIDs) const AAX_OVERRIDE
| Get an array of plug-in IDs from a property map.
IACFUnknown * | GetIUnknown () AAX_OVERRIDE
Public Member Functions inherited from AAX_IPropertyMap
virtual | ~AAX_IPropertyMap ()
virtual AAX_CBoolean | GetProperty (AAX_EProperty inProperty, AAX_CPropertyValue *outValue) const =0
| Get a property value from a property map.
virtual AAX_CBoolean | GetPointerProperty (AAX_EProperty inProperty, const void **outValue) const =0
| Get a property value from a property map with a pointer-sized value.
virtual AAX_Result | AddProperty (AAX_EProperty inProperty, AAX_CPropertyValue inValue)=0
| Add a property to a property map.
virtual AAX_Result | AddPointerProperty (AAX_EProperty inProperty, const void *inValue)=0
| Add a property to a property map with a pointer-sized value.
virtual AAX_Result | AddPointerProperty (AAX_EProperty inProperty, const char *inValue)=0
| Add a property to a property map with a pointer-sized value.
virtual AAX_Result | RemoveProperty (AAX_EProperty inProperty)=0
| Remove a property from a property map.
virtual AAX_Result | AddPropertyWithIDArray (AAX_EProperty inProperty, const AAX_SPlugInIdentifierTriad *inPluginIDs, uint32_t inNumPluginIDs)=0
| Add an array of plug-in IDs to a property map.
virtual AAX_CBoolean | GetPropertyWithIDArray (AAX_EProperty inProperty, const AAX_SPlugInIdentifierTriad **outPluginIDs, uint32_t *outNumPluginIDs) const =0
| Get an array of plug-in IDs from a property map.
virtual IACFUnknown * | GetIUnknown ()=0

## Static Public Member Functions
static AAX_VPropertyMap * | Create (IACFUnknown *inComponentFactory)
| `inComponentFactory` must support `IID_IACFComponentFactory` - otherwise NULL is returned
static AAX_VPropertyMap * | Acquire (IACFUnknown *inPropertyMapUnknown)
| `inPropertyMapUnknown` must support at least one AAX_IPropertyMap interface - otherwise an AAX_VPropertyMap object with no backing interface is returned

## Constructor & Destructor Documentation

## ◆ ~AAX_VPropertyMap()

AAX_VPropertyMap::~AAX_VPropertyMap | ( | void |  | ) |

## Member Function Documentation

## ◆ Create()

static AAX_VPropertyMap * AAX_VPropertyMap::Create | ( | IACFUnknown * | inComponentFactory | ) |
| static

`inComponentFactory` must support `IID_IACFComponentFactory` - otherwise NULL is returned

## ◆ Acquire()

static AAX_VPropertyMap * AAX_VPropertyMap::Acquire | ( | IACFUnknown * | inPropertyMapUnknown | ) |
| static

`inPropertyMapUnknown` must support at least one AAX_IPropertyMap interface - otherwise an AAX_VPropertyMap object with no backing interface is returned

## ◆ GetProperty()

AAX_CBoolean AAX_VPropertyMap::GetProperty | ( | AAX_EProperty | inProperty,
|  | AAX_CPropertyValue * | outValue
| ) |  | const
| virtual

Get a property value from a property map.

Returns true if the selected property is supported, false if it is not

Parameters

  [in] | inProperty | The property ID
  [out] | outValue | The property value

Implements AAX_IPropertyMap.

## ◆ GetPointerProperty()

AAX_CBoolean AAX_VPropertyMap::GetPointerProperty | ( | AAX_EProperty | inProperty,
|  | const void ** | outValue
| ) |  | const
| virtual

Get a property value from a property map with a pointer-sized value.

Returns true if the selected property is supported, false if it is not

Parameters

  [in] | inProperty | The property ID
  [out] | outValue | The property value

Implements AAX_IPropertyMap.

## ◆ AddProperty()

AAX_Result AAX_VPropertyMap::AddProperty | ( | AAX_EProperty | inProperty,
|  | AAX_CPropertyValue | inValue
| ) |  |
| virtual

Add a property to a property map.

Note
  This method may return an error if adding the property was unsuccessful. If there is a failure when adding a required property then registration of the relevant description element must be abandoned and the plug-in's description logic should proceed to the next element.

Parameters

  [in] | inProperty | The property ID.
  [in] | inValue |

Implements AAX_IPropertyMap.

## ◆ AddPointerProperty() [1/2]

AAX_Result AAX_VPropertyMap::AddPointerProperty | ( | AAX_EProperty | inProperty,
|  | const void * | inValue
| ) |  |
| virtual

Add a property to a property map with a pointer-sized value.

Use this method to add properties which require a pointer-sized value. Do not use this method to add a property unless a pointer-sized value is explicitly specified in the property documentation.

Note
  This method may return an error if adding the property was unsuccessful. If there is a failure when adding a required property then registration of the relevant description element must be abandoned and the plug-in's description logic should proceed to the next element.

Parameters

  [in] | inProperty | The property ID.
  [in] | inValue |

Implements AAX_IPropertyMap.

## ◆ AddPointerProperty() [2/2]

AAX_Result AAX_VPropertyMap::AddPointerProperty | ( | AAX_EProperty | inProperty,
|  | const char * | inValue
| ) |  |
| virtual

Add a property to a property map with a pointer-sized value.

Use this method to add properties which require a pointer-sized value. Do not use this method to add a property unless a pointer-sized value is explicitly specified in the property documentation.

Note
  This method may return an error if adding the property was unsuccessful. If there is a failure when adding a required property then registration of the relevant description element must be abandoned and the plug-in's description logic should proceed to the next element.

Parameters

  [in] | inProperty | The property ID.
  [in] | inValue |

Implements AAX_IPropertyMap.

## ◆ RemoveProperty()

AAX_Result AAX_VPropertyMap::RemoveProperty | ( | AAX_EProperty | inProperty | ) |
| virtual

Remove a property from a property map.

Parameters

  [in] | inProperty | The property ID.

Implements AAX_IPropertyMap.

## ◆ AddPropertyWithIDArray()

AAX_Result AAX_VPropertyMap::AddPropertyWithIDArray | ( | AAX_EProperty | inProperty,
|  | const AAX_SPlugInIdentifierTriad * | inPluginIDs,
|  | uint32_t | inNumPluginIDs
| ) |  |
| virtual

Add an array of plug-in IDs to a property map.

Parameters

  [in] | inProperty | The property ID.
  [in] | inPluginIDs | An array of AAX_SPlugInIdentifierTriad
  [in] | inNumPluginIDs | The length of `iPluginIDs`

Implements AAX_IPropertyMap.

## ◆ GetPropertyWithIDArray()

AAX_CBoolean AAX_VPropertyMap::GetPropertyWithIDArray | ( | AAX_EProperty | inProperty,
|  | const AAX_SPlugInIdentifierTriad ** | outPluginIDs,
|  | uint32_t * | outNumPluginIDs
| ) |  | const
| virtual

Get an array of plug-in IDs from a property map.

Parameters

  [in] | inProperty | The property ID.
  [out] | outPluginIDs | A pointer that will be set to reference an array of AAX_SPlugInIdentifierTriad
  [in] | outNumPluginIDs | The length of `oPluginIDs`

Implements AAX_IPropertyMap.

## ◆ GetIUnknown()

IACFUnknown * AAX_VPropertyMap::GetIUnknown | ( |  | ) |
| virtual

Returns the most up-to-date underlying interface

Implements AAX_IPropertyMap.

The documentation for this class was generated from the following file:

- AAX_VPropertyMap.h